Issue 734 wish: --set-scripts-executable for "darcs dist".

Title wish: --set-scripts-executable for "darcs dist".
Priority wishlist Status resolved
Milestone Resolved in 2.8.0
Superseder Nosy List darcs-devel, dmitry.kurochkin, eelis, jaredj, kowey, markstos, thorkilnaur, tommy, twb
Assigned To
Topics ProbablyEasy

Created on 2008-03-05.19:55:55 by eelis, last changed 2010-11-22.09:55:52 by kowey.

msg3774 (view) Author: eelis Date: 2008-03-05.19:55:54
It would be convenient to have a --set-scripts-executable flag for "darcs dist",
which would make scripts in the resulting tarball executable, similar to what
the same flag does for "darcs get".


msg3844 (view) Author: markstos Date: 2008-03-08.13:37:08
Thanks for the wish request, Eelis. Seems reasonable.
msg12838 (view) Author: kerneis Date: 2010-10-27.10:59:25
patch439 solves this issue.
msg12850 (view) Author: noreply Date: 2010-10-30.12:57:27
The following patch sent by Gabriel Kerneis <kerneis@pps.jussieu.fr> updated issue issue734 with
status=resolved;resolvedin=2.8.0 HEAD

* resolve issue734: --set-scripts-executable for "darcs dist" 
Ignore-this: 15671e02277c10f4421b47378469b0a4
msg12891 (view) Author: kerneis Date: 2010-11-03.08:31:49
When solving this issue, I did not think about modifying the distHelp
message (which currently mentions predist commands, but not
set-scripts-executable).  It might be better that way, since we need to
keep the help message concise, but any feedback about this is appreciated.
msg13201 (view) Author: kowey Date: 2010-11-22.09:55:52
I think it's fine to just have the options listing as documentation. 
Thanks for thinking of it, though! Not many hackers make it that far.
Date User Action Args
2008-03-05 19:55:55eeliscreate
2008-03-05 20:19:11Eelissetpriority: wishlist
nosy: droundy, tommy, beschmi, kowey, eelis
2008-03-08 13:37:09markstossetstatus: unread -> deferred
nosy: + markstos
messages: + msg3844
title: Feature request: --set-scripts-executable for "darcs dist". -> wish: --set-scripts-executable for "darcs dist".
2009-04-23 06:02:46twbsetnosy: + dmitry.kurochkin, twb, simon, thorkilnaur
2009-08-06 17:55:56adminsetnosy: + jast, Serware, darcs-devel, zooko, dagit, mornfall, - droundy, twb, eelis
2009-08-06 20:59:56adminsetnosy: - beschmi
2009-08-10 22:17:25adminsetnosy: + eelis, twb, - darcs-devel, zooko, jast, dagit, Serware, mornfall
2009-08-25 17:44:40adminsetnosy: + darcs-devel, - simon
2009-08-27 13:56:24adminsetnosy: tommy, kowey, markstos, darcs-devel, twb, thorkilnaur, eelis, dmitry.kurochkin
2009-09-02 14:34:31koweysetstatus: deferred -> needs-implementation
nosy: + eelis, jaredj, - eelis
topic: + ProbablyEasy
2010-10-27 10:59:26kerneissetstatus: needs-implementation -> has-patch
messages: + msg12838
2010-10-30 12:57:28noreplysetstatus: has-patch -> resolved
messages: + msg12850
resolvedin: 2.8.0
2010-11-03 08:31:50kerneissetstatus: resolved -> unknown
messages: + msg12891
2010-11-22 09:55:52koweysetstatus: unknown -> resolved
messages: + msg13201